import{Button as e,Menu as r,Typography as t}from"@equinor/eds-core-react";export{Button}from"@equinor/eds-core-react";import{tokens as a}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{colors as o}from"../../atoms/style/colors.js";import{spacings as i}from"../../atoms/style/spacings.js";import{Chip as n}from"../Chip/Chip.js";import s from"styled-components";const{colors:l,spacings:c}=a,d={warning:l.interactive.warning__resting.rgba,error:l.interactive.danger__resting.rgba,success:l.interactive.success__resting.rgba,dirty:o.dark_blue.rgba},g=s.div`
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 6px 8px;

  ${({$variant:e})=>e?`box-shadow: inset 0 -2px 0 0 ${d[e]}`:`box-shadow: inset 0 -1px 0 0 ${l.text.static_icons__tertiary.rgba}`};

  ${({$lightBackground:e})=>e?`background-color: ${l.ui.background__default.rgba}`:`background-color: ${l.ui.background__light.rgba}`};

  &[aria-expanded='true'] {
    box-shadow: inset 0 -2px 0 0 ${l.interactive.primary__resting.rgba};
  }

  ${({$shouldShowTopMargin:e})=>e&&"margin-top: 1rem;"};

  > label {
    left: 0;
    right: 0;
    position: absolute;
    top: -1rem;
  }

  > svg[role='progressbar'] {
    overflow: unset;
  }
  > svg:not([role='progressbar']) {
    cursor: pointer;
    &:hover {
      background: ${l.interactive.primary__hover_alt.rgba};
      border-radius: 50%;
    }
  }

  &:has(input:disabled) {
    cursor: not-allowed;
    box-shadow: none;
    > svg:not([role='progressbar']) {
      cursor: not-allowed;
      fill: ${l.interactive.disabled__text.rgba};
      &:hover {
        background: transparent;
      }
    }
    > label {
      color: ${l.interactive.disabled__text.rgba};
    }
  }
`,p=s.section`
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: ${i.x_small};
  min-height: 24px;
  input[type='search'] {
    background: transparent;
    width: 0;
    flex-grow: 1;
    padding: 0;
    font-family: 'Equinor', sans-serif;
    color: ${l.text.static_icons__default.rgba};
    outline: none;
    border: none;
  }
  input[type='search']:disabled {
    cursor: not-allowed;
  }
  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    appearance: none;
  }
  &:has(input:disabled) {
    > p {
      color: ${l.interactive.disabled__text.rgba};
    }
    > .amplify-combo-box-chip {
      cursor: not-allowed;
      background: ${l.interactive.disabled__fill.rgba};
      color: ${l.interactive.disabled__text.rgba};
      > svg {
        fill: ${l.interactive.disabled__text.rgba};
        &:hover {
          cursor: not-allowed;
          background: none;
        }
      }
    }
  }
`,b=s(e)`
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  right: 26px;
  width: 24px;
  height: 24px;
  svg {
    fill: ${l.text.static_icons__secondary.rgba};
  }
  &:after {
    width: 24px;
    height: 24px;
    left: 0;
  }
`,u=s(n)`
  background: ${({$tryingToRemove:e,$lightBackground:r})=>e?l.interactive.primary__hover_alt.rgba:r?l.ui.background__light.rgba:l.ui.background__default.rgba} !important;
`,_=s(r.Item)`
  flex-grow: 1;
  border-radius: 2px;
  ${({$paddedLeft:e})=>e&&"margin-left: 36px"};
  padding-left: 10px;

  &:focus {
    outline: none;
  }

  /* Hide any background change on hover since we set focus on hover now */
  &:hover {
    background: transparent;
  }

  &:focus-visible {
    background: ${l.interactive.primary__hover_alt.rgba};
  }
`,h=s.hr`
  height: calc(100% + ${c.comfortable.medium} * 2);
  justify-self: center;
  width: ${i.x_large};
`,m=s(t)`
  position: absolute;
  color: ${l.text.static_icons__tertiary.rgba};
  top: calc(50%);
  transform: translate(0, -50%);
`,f=s(m)`
  color: ${l.text.static_icons__default.rgba};
`,x=s(t)`
  margin-left: ${c.comfortable.medium};
`,v=s(r)`
  max-height: 20rem;
  overflow: auto;
`,$=s.div`
  display: flex;
  align-items: center;
  padding: 0 ${i.small};
`,w=s(e)`
  width: 36px;
  height: 36px;
`;export{b as ClearButton,g as Container,h as MenuItemSpacer,$ as MenuItemWrapper,x as NoItemsFoundText,m as PlaceholderText,p as Section,w as SmallButton,u as StyledChip,v as StyledMenu,_ as StyledMenuItem,d as VARIANT_COLORS,f as ValueText};
