import { FC, ReactElement } from 'react';
export interface SettingsSection {
    title: string;
    type: string;
    onChange?: (val: unknown) => void;
    items: {
        label: string;
        name: string;
        value: unknown;
        colorBox?: string;
        element?: ReactElement;
        text?: string;
        disabled?: boolean;
    }[];
}
export interface SettingsProps {
    allSettings: SettingsSection[];
}
export declare const Settings: FC<SettingsProps>;
